package com.mortals.xhx.module.matter.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.matter.model.MatterDutyerEntity;
/**
* 事项负责人查询对象
*
* @author zxfei
* @date 2023-03-21
*/
public class MatterDutyerQuery extends MatterDutyerEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 站点id排除列表 */
    private List <Long> siteIdNotList;

    /** 工作人员姓名 */
    private List<String> fullNameList;

    /** 工作人员姓名排除列表 */
    private List <String> fullNameNotList;
    /** 联系电话 */
    private List<String> phoneNumberList;

    /** 联系电话排除列表 */
    private List <String> phoneNumberNotList;
    /** 登录用户名 */
    private List<String> loginNameList;

    /** 登录用户名排除列表 */
    private List <String> loginNameNotList;
    /** 登录密码 */
    private List<String> loginPwdList;

    /** 登录密码排除列表 */
    private List <String> loginPwdNotList;
    /** 开始 所属部门 */
    private Long deptIdStart;

    /** 结束 所属部门 */
    private Long deptIdEnd;

    /** 增加 所属部门 */
    private Long deptIdIncrement;

    /** 所属部门列表 */
    private List <Long> deptIdList;

    /** 所属部门排除列表 */
    private List <Long> deptIdNotList;

    /** 所属部门名称 */
    private List<String> deptNameList;

    /** 所属部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 所属股室 */
    private Long officeIdStart;

    /** 结束 所属股室 */
    private Long officeIdEnd;

    /** 增加 所属股室 */
    private Long officeIdIncrement;

    /** 所属股室列表 */
    private List <Long> officeIdList;

    /** 所属股室排除列表 */
    private List <Long> officeIdNotList;

    /** 所属股室名称 */
    private List<String> officeNameList;

    /** 所属股室名称排除列表 */
    private List <String> officeNameNotList;
    /** 开始 性别1男2女 */
    private Integer sexualStart;

    /** 结束 性别1男2女 */
    private Integer sexualEnd;

    /** 增加 性别1男2女 */
    private Integer sexualIncrement;

    /** 性别1男2女列表 */
    private List <Integer> sexualList;

    /** 性别1男2女排除列表 */
    private List <Integer> sexualNotList;

    /** 邮箱 */
    private List<String> emailList;

    /** 邮箱排除列表 */
    private List <String> emailNotList;
    /** 职位 */
    private List<String> positionList;

    /** 职位排除列表 */
    private List <String> positionNotList;
    /** 开始 人员类型：1窗口工作人员2事项负责人 */
    private Integer personTypeStart;

    /** 结束 人员类型：1窗口工作人员2事项负责人 */
    private Integer personTypeEnd;

    /** 增加 人员类型：1窗口工作人员2事项负责人 */
    private Integer personTypeIncrement;

    /** 人员类型：1窗口工作人员2事项负责人列表 */
    private List <Integer> personTypeList;

    /** 人员类型：1窗口工作人员2事项负责人排除列表 */
    private List <Integer> personTypeNotList;

    /** 开始 最后一次登录时间 */
    private String lastLoginTimeStart;

    /** 结束 最后一次登录时间 */
    private String lastLoginTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MatterDutyerQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MatterDutyerQuery> andConditionList;

    public MatterDutyerQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 站点id
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点id
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点id
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点id
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点id
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点id
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点id
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点id
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点id
    * @return siteIdNotList
    */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
    * 设置 站点id
    * @param siteIdNotList
    */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
    * 获取 工作人员姓名
    * @return fullNameList
    */
    public List<String> getFullNameList(){
        return this.fullNameList;
    }

    /**
    * 设置 工作人员姓名
    * @param fullNameList
    */
    public void setFullNameList(List<String> fullNameList){
        this.fullNameList = fullNameList;
    }

    /**
    * 获取 工作人员姓名
    * @return fullNameNotList
    */
    public List<String> getFullNameNotList(){
        return this.fullNameNotList;
    }

    /**
    * 设置 工作人员姓名
    * @param fullNameNotList
    */
    public void setFullNameNotList(List<String> fullNameNotList){
        this.fullNameNotList = fullNameNotList;
    }

    /**
    * 获取 联系电话
    * @return phoneNumberList
    */
    public List<String> getPhoneNumberList(){
        return this.phoneNumberList;
    }

    /**
    * 设置 联系电话
    * @param phoneNumberList
    */
    public void setPhoneNumberList(List<String> phoneNumberList){
        this.phoneNumberList = phoneNumberList;
    }

    /**
    * 获取 联系电话
    * @return phoneNumberNotList
    */
    public List<String> getPhoneNumberNotList(){
        return this.phoneNumberNotList;
    }

    /**
    * 设置 联系电话
    * @param phoneNumberNotList
    */
    public void setPhoneNumberNotList(List<String> phoneNumberNotList){
        this.phoneNumberNotList = phoneNumberNotList;
    }

    /**
    * 获取 登录用户名
    * @return loginNameList
    */
    public List<String> getLoginNameList(){
        return this.loginNameList;
    }

    /**
    * 设置 登录用户名
    * @param loginNameList
    */
    public void setLoginNameList(List<String> loginNameList){
        this.loginNameList = loginNameList;
    }

    /**
    * 获取 登录用户名
    * @return loginNameNotList
    */
    public List<String> getLoginNameNotList(){
        return this.loginNameNotList;
    }

    /**
    * 设置 登录用户名
    * @param loginNameNotList
    */
    public void setLoginNameNotList(List<String> loginNameNotList){
        this.loginNameNotList = loginNameNotList;
    }

    /**
    * 获取 登录密码
    * @return loginPwdList
    */
    public List<String> getLoginPwdList(){
        return this.loginPwdList;
    }

    /**
    * 设置 登录密码
    * @param loginPwdList
    */
    public void setLoginPwdList(List<String> loginPwdList){
        this.loginPwdList = loginPwdList;
    }

    /**
    * 获取 登录密码
    * @return loginPwdNotList
    */
    public List<String> getLoginPwdNotList(){
        return this.loginPwdNotList;
    }

    /**
    * 设置 登录密码
    * @param loginPwdNotList
    */
    public void setLoginPwdNotList(List<String> loginPwdNotList){
        this.loginPwdNotList = loginPwdNotList;
    }

    /**
    * 获取 开始 所属部门
    * @return deptIdStart
    */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
    * 设置 开始 所属部门
    * @param deptIdStart
    */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
    * 获取 结束 所属部门
    * @return $deptIdEnd
    */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
    * 设置 结束 所属部门
    * @param deptIdEnd
    */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
    * 获取 增加 所属部门
    * @return deptIdIncrement
    */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
    * 设置 增加 所属部门
    * @param deptIdIncrement
    */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
    * 获取 所属部门
    * @return deptIdList
    */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
    * 设置 所属部门
    * @param deptIdList
    */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
    * 获取 所属部门
    * @return deptIdNotList
    */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
    * 设置 所属部门
    * @param deptIdNotList
    */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
    * 获取 所属部门名称
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
    * 获取 所属部门名称
    * @return deptNameNotList
    */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameNotList
    */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
    * 获取 开始 所属股室
    * @return officeIdStart
    */
    public Long getOfficeIdStart(){
        return this.officeIdStart;
    }

    /**
    * 设置 开始 所属股室
    * @param officeIdStart
    */
    public void setOfficeIdStart(Long officeIdStart){
        this.officeIdStart = officeIdStart;
    }

    /**
    * 获取 结束 所属股室
    * @return $officeIdEnd
    */
    public Long getOfficeIdEnd(){
        return this.officeIdEnd;
    }

    /**
    * 设置 结束 所属股室
    * @param officeIdEnd
    */
    public void setOfficeIdEnd(Long officeIdEnd){
        this.officeIdEnd = officeIdEnd;
    }

    /**
    * 获取 增加 所属股室
    * @return officeIdIncrement
    */
    public Long getOfficeIdIncrement(){
        return this.officeIdIncrement;
    }

    /**
    * 设置 增加 所属股室
    * @param officeIdIncrement
    */
    public void setOfficeIdIncrement(Long officeIdIncrement){
        this.officeIdIncrement = officeIdIncrement;
    }

    /**
    * 获取 所属股室
    * @return officeIdList
    */
    public List<Long> getOfficeIdList(){
        return this.officeIdList;
    }

    /**
    * 设置 所属股室
    * @param officeIdList
    */
    public void setOfficeIdList(List<Long> officeIdList){
        this.officeIdList = officeIdList;
    }

    /**
    * 获取 所属股室
    * @return officeIdNotList
    */
    public List<Long> getOfficeIdNotList(){
        return this.officeIdNotList;
    }

    /**
    * 设置 所属股室
    * @param officeIdNotList
    */
    public void setOfficeIdNotList(List<Long> officeIdNotList){
        this.officeIdNotList = officeIdNotList;
    }


    /**
    * 获取 所属股室名称
    * @return officeNameList
    */
    public List<String> getOfficeNameList(){
        return this.officeNameList;
    }

    /**
    * 设置 所属股室名称
    * @param officeNameList
    */
    public void setOfficeNameList(List<String> officeNameList){
        this.officeNameList = officeNameList;
    }

    /**
    * 获取 所属股室名称
    * @return officeNameNotList
    */
    public List<String> getOfficeNameNotList(){
        return this.officeNameNotList;
    }

    /**
    * 设置 所属股室名称
    * @param officeNameNotList
    */
    public void setOfficeNameNotList(List<String> officeNameNotList){
        this.officeNameNotList = officeNameNotList;
    }

    /**
    * 获取 开始 性别1男2女
    * @return sexualStart
    */
    public Integer getSexualStart(){
        return this.sexualStart;
    }

    /**
    * 设置 开始 性别1男2女
    * @param sexualStart
    */
    public void setSexualStart(Integer sexualStart){
        this.sexualStart = sexualStart;
    }

    /**
    * 获取 结束 性别1男2女
    * @return $sexualEnd
    */
    public Integer getSexualEnd(){
        return this.sexualEnd;
    }

    /**
    * 设置 结束 性别1男2女
    * @param sexualEnd
    */
    public void setSexualEnd(Integer sexualEnd){
        this.sexualEnd = sexualEnd;
    }

    /**
    * 获取 增加 性别1男2女
    * @return sexualIncrement
    */
    public Integer getSexualIncrement(){
        return this.sexualIncrement;
    }

    /**
    * 设置 增加 性别1男2女
    * @param sexualIncrement
    */
    public void setSexualIncrement(Integer sexualIncrement){
        this.sexualIncrement = sexualIncrement;
    }

    /**
    * 获取 性别1男2女
    * @return sexualList
    */
    public List<Integer> getSexualList(){
        return this.sexualList;
    }

    /**
    * 设置 性别1男2女
    * @param sexualList
    */
    public void setSexualList(List<Integer> sexualList){
        this.sexualList = sexualList;
    }

    /**
    * 获取 性别1男2女
    * @return sexualNotList
    */
    public List<Integer> getSexualNotList(){
        return this.sexualNotList;
    }

    /**
    * 设置 性别1男2女
    * @param sexualNotList
    */
    public void setSexualNotList(List<Integer> sexualNotList){
        this.sexualNotList = sexualNotList;
    }


    /**
    * 获取 邮箱
    * @return emailList
    */
    public List<String> getEmailList(){
        return this.emailList;
    }

    /**
    * 设置 邮箱
    * @param emailList
    */
    public void setEmailList(List<String> emailList){
        this.emailList = emailList;
    }

    /**
    * 获取 邮箱
    * @return emailNotList
    */
    public List<String> getEmailNotList(){
        return this.emailNotList;
    }

    /**
    * 设置 邮箱
    * @param emailNotList
    */
    public void setEmailNotList(List<String> emailNotList){
        this.emailNotList = emailNotList;
    }

    /**
    * 获取 职位
    * @return positionList
    */
    public List<String> getPositionList(){
        return this.positionList;
    }

    /**
    * 设置 职位
    * @param positionList
    */
    public void setPositionList(List<String> positionList){
        this.positionList = positionList;
    }

    /**
    * 获取 职位
    * @return positionNotList
    */
    public List<String> getPositionNotList(){
        return this.positionNotList;
    }

    /**
    * 设置 职位
    * @param positionNotList
    */
    public void setPositionNotList(List<String> positionNotList){
        this.positionNotList = positionNotList;
    }

    /**
    * 获取 开始 人员类型：1窗口工作人员2事项负责人
    * @return personTypeStart
    */
    public Integer getPersonTypeStart(){
        return this.personTypeStart;
    }

    /**
    * 设置 开始 人员类型：1窗口工作人员2事项负责人
    * @param personTypeStart
    */
    public void setPersonTypeStart(Integer personTypeStart){
        this.personTypeStart = personTypeStart;
    }

    /**
    * 获取 结束 人员类型：1窗口工作人员2事项负责人
    * @return $personTypeEnd
    */
    public Integer getPersonTypeEnd(){
        return this.personTypeEnd;
    }

    /**
    * 设置 结束 人员类型：1窗口工作人员2事项负责人
    * @param personTypeEnd
    */
    public void setPersonTypeEnd(Integer personTypeEnd){
        this.personTypeEnd = personTypeEnd;
    }

    /**
    * 获取 增加 人员类型：1窗口工作人员2事项负责人
    * @return personTypeIncrement
    */
    public Integer getPersonTypeIncrement(){
        return this.personTypeIncrement;
    }

    /**
    * 设置 增加 人员类型：1窗口工作人员2事项负责人
    * @param personTypeIncrement
    */
    public void setPersonTypeIncrement(Integer personTypeIncrement){
        this.personTypeIncrement = personTypeIncrement;
    }

    /**
    * 获取 人员类型：1窗口工作人员2事项负责人
    * @return personTypeList
    */
    public List<Integer> getPersonTypeList(){
        return this.personTypeList;
    }

    /**
    * 设置 人员类型：1窗口工作人员2事项负责人
    * @param personTypeList
    */
    public void setPersonTypeList(List<Integer> personTypeList){
        this.personTypeList = personTypeList;
    }

    /**
    * 获取 人员类型：1窗口工作人员2事项负责人
    * @return personTypeNotList
    */
    public List<Integer> getPersonTypeNotList(){
        return this.personTypeNotList;
    }

    /**
    * 设置 人员类型：1窗口工作人员2事项负责人
    * @param personTypeNotList
    */
    public void setPersonTypeNotList(List<Integer> personTypeNotList){
        this.personTypeNotList = personTypeNotList;
    }


    /**
    * 获取 开始 最后一次登录时间
    * @return lastLoginTimeStart
    */
    public String getLastLoginTimeStart(){
        return this.lastLoginTimeStart;
    }

    /**
    * 设置 开始 最后一次登录时间
    * @param lastLoginTimeStart
    */
    public void setLastLoginTimeStart(String lastLoginTimeStart){
        this.lastLoginTimeStart = lastLoginTimeStart;
    }

    /**
    * 获取 结束 最后一次登录时间
    * @return lastLoginTimeEnd
    */
    public String getLastLoginTimeEnd(){
        return this.lastLoginTimeEnd;
    }

    /**
    * 设置 结束 最后一次登录时间
    * @param lastLoginTimeEnd
    */
    public void setLastLoginTimeEnd(String lastLoginTimeEnd){
        this.lastLoginTimeEnd = lastLoginTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public MatterDutyerQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public MatterDutyerQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public MatterDutyerQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public MatterDutyerQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public MatterDutyerQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public MatterDutyerQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  站点id
    * @param siteId
    */
    public MatterDutyerQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点id
    * @param siteIdStart
    */
    public MatterDutyerQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点id
    * @param siteIdEnd
    */
    public MatterDutyerQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点id
    * @param siteIdIncrement
    */
    public MatterDutyerQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点id
    * @param siteIdList
    */
    public MatterDutyerQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }

        /**
        * 设置 站点id
        * @param siteIdNotList
        */
        public MatterDutyerQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
        }


	/**
    * 设置 工作人员姓名
    * @param fullName
    */
    public MatterDutyerQuery fullName(String fullName){
        setFullName(fullName);
		return this;
    }

    /**
    * 设置 工作人员姓名
    * @param fullNameList
    */
    public MatterDutyerQuery fullNameList(List<String> fullNameList){
        this.fullNameList = fullNameList;
		return this;
    }


	/**
    * 设置 联系电话
    * @param phoneNumber
    */
    public MatterDutyerQuery phoneNumber(String phoneNumber){
        setPhoneNumber(phoneNumber);
		return this;
    }

    /**
    * 设置 联系电话
    * @param phoneNumberList
    */
    public MatterDutyerQuery phoneNumberList(List<String> phoneNumberList){
        this.phoneNumberList = phoneNumberList;
		return this;
    }


	/**
    * 设置 登录用户名
    * @param loginName
    */
    public MatterDutyerQuery loginName(String loginName){
        setLoginName(loginName);
		return this;
    }

    /**
    * 设置 登录用户名
    * @param loginNameList
    */
    public MatterDutyerQuery loginNameList(List<String> loginNameList){
        this.loginNameList = loginNameList;
		return this;
    }


	/**
    * 设置 登录密码
    * @param loginPwd
    */
    public MatterDutyerQuery loginPwd(String loginPwd){
        setLoginPwd(loginPwd);
		return this;
    }

    /**
    * 设置 登录密码
    * @param loginPwdList
    */
    public MatterDutyerQuery loginPwdList(List<String> loginPwdList){
        this.loginPwdList = loginPwdList;
		return this;
    }

    /**
    * 设置  所属部门
    * @param deptId
    */
    public MatterDutyerQuery deptId(Long deptId){
	    setDeptId(deptId);
		return this;
    }
	
	 /**
    * 设置 开始 所属部门
    * @param deptIdStart
    */
    public MatterDutyerQuery deptIdStart(Long deptIdStart){
		this.deptIdStart = deptIdStart;
		return this;
    }

    /**
    * 设置 结束 所属部门
    * @param deptIdEnd
    */
    public MatterDutyerQuery deptIdEnd(Long deptIdEnd){
		this.deptIdEnd = deptIdEnd;
		return this;
    }

    /**
    * 设置 增加 所属部门
    * @param deptIdIncrement
    */
    public MatterDutyerQuery deptIdIncrement(Long deptIdIncrement){
		this.deptIdIncrement = deptIdIncrement;
		return this;
    }

    /**
    * 设置 所属部门
    * @param deptIdList
    */
    public MatterDutyerQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
		return this;
        }

        /**
        * 设置 所属部门
        * @param deptIdNotList
        */
        public MatterDutyerQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
        }


	/**
    * 设置 所属部门名称
    * @param deptName
    */
    public MatterDutyerQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameList
    */
    public MatterDutyerQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }

    /**
    * 设置  所属股室
    * @param officeId
    */
    public MatterDutyerQuery officeId(Long officeId){
	    setOfficeId(officeId);
		return this;
    }
	
	 /**
    * 设置 开始 所属股室
    * @param officeIdStart
    */
    public MatterDutyerQuery officeIdStart(Long officeIdStart){
		this.officeIdStart = officeIdStart;
		return this;
    }

    /**
    * 设置 结束 所属股室
    * @param officeIdEnd
    */
    public MatterDutyerQuery officeIdEnd(Long officeIdEnd){
		this.officeIdEnd = officeIdEnd;
		return this;
    }

    /**
    * 设置 增加 所属股室
    * @param officeIdIncrement
    */
    public MatterDutyerQuery officeIdIncrement(Long officeIdIncrement){
		this.officeIdIncrement = officeIdIncrement;
		return this;
    }

    /**
    * 设置 所属股室
    * @param officeIdList
    */
    public MatterDutyerQuery officeIdList(List<Long> officeIdList){
        this.officeIdList = officeIdList;
		return this;
        }

        /**
        * 设置 所属股室
        * @param officeIdNotList
        */
        public MatterDutyerQuery officeIdNotList(List<Long> officeIdNotList){
        this.officeIdNotList = officeIdNotList;
        return this;
        }


	/**
    * 设置 所属股室名称
    * @param officeName
    */
    public MatterDutyerQuery officeName(String officeName){
        setOfficeName(officeName);
		return this;
    }

    /**
    * 设置 所属股室名称
    * @param officeNameList
    */
    public MatterDutyerQuery officeNameList(List<String> officeNameList){
        this.officeNameList = officeNameList;
		return this;
    }

    /**
    * 设置  性别1男2女
    * @param sexual
    */
    public MatterDutyerQuery sexual(Integer sexual){
	    setSexual(sexual);
		return this;
    }
	
	 /**
    * 设置 开始 性别1男2女
    * @param sexualStart
    */
    public MatterDutyerQuery sexualStart(Integer sexualStart){
		this.sexualStart = sexualStart;
		return this;
    }

    /**
    * 设置 结束 性别1男2女
    * @param sexualEnd
    */
    public MatterDutyerQuery sexualEnd(Integer sexualEnd){
		this.sexualEnd = sexualEnd;
		return this;
    }

    /**
    * 设置 增加 性别1男2女
    * @param sexualIncrement
    */
    public MatterDutyerQuery sexualIncrement(Integer sexualIncrement){
		this.sexualIncrement = sexualIncrement;
		return this;
    }

    /**
    * 设置 性别1男2女
    * @param sexualList
    */
    public MatterDutyerQuery sexualList(List<Integer> sexualList){
        this.sexualList = sexualList;
		return this;
        }

        /**
        * 设置 性别1男2女
        * @param sexualNotList
        */
        public MatterDutyerQuery sexualNotList(List<Integer> sexualNotList){
        this.sexualNotList = sexualNotList;
        return this;
        }


	/**
    * 设置 邮箱
    * @param email
    */
    public MatterDutyerQuery email(String email){
        setEmail(email);
		return this;
    }

    /**
    * 设置 邮箱
    * @param emailList
    */
    public MatterDutyerQuery emailList(List<String> emailList){
        this.emailList = emailList;
		return this;
    }


	/**
    * 设置 职位
    * @param position
    */
    public MatterDutyerQuery position(String position){
        setPosition(position);
		return this;
    }

    /**
    * 设置 职位
    * @param positionList
    */
    public MatterDutyerQuery positionList(List<String> positionList){
        this.positionList = positionList;
		return this;
    }

    /**
    * 设置  人员类型：1窗口工作人员2事项负责人
    * @param personType
    */
    public MatterDutyerQuery personType(Integer personType){
	    setPersonType(personType);
		return this;
    }
	
	 /**
    * 设置 开始 人员类型：1窗口工作人员2事项负责人
    * @param personTypeStart
    */
    public MatterDutyerQuery personTypeStart(Integer personTypeStart){
		this.personTypeStart = personTypeStart;
		return this;
    }

    /**
    * 设置 结束 人员类型：1窗口工作人员2事项负责人
    * @param personTypeEnd
    */
    public MatterDutyerQuery personTypeEnd(Integer personTypeEnd){
		this.personTypeEnd = personTypeEnd;
		return this;
    }

    /**
    * 设置 增加 人员类型：1窗口工作人员2事项负责人
    * @param personTypeIncrement
    */
    public MatterDutyerQuery personTypeIncrement(Integer personTypeIncrement){
		this.personTypeIncrement = personTypeIncrement;
		return this;
    }

    /**
    * 设置 人员类型：1窗口工作人员2事项负责人
    * @param personTypeList
    */
    public MatterDutyerQuery personTypeList(List<Integer> personTypeList){
        this.personTypeList = personTypeList;
		return this;
        }

        /**
        * 设置 人员类型：1窗口工作人员2事项负责人
        * @param personTypeNotList
        */
        public MatterDutyerQuery personTypeNotList(List<Integer> personTypeNotList){
        this.personTypeNotList = personTypeNotList;
        return this;
        }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public MatterDutyerQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public MatterDutyerQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public MatterDutyerQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public MatterDutyerQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public MatterDutyerQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public MatterDutyerQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public MatterDutyerQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public MatterDutyerQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public MatterDutyerQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public MatterDutyerQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public MatterDutyerQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public MatterDutyerQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<MatterDutyerQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<MatterDutyerQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<MatterDutyerQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<MatterDutyerQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}