package com.mortals.xhx.module.site.model;

import java.util.List;
import com.mortals.xhx.module.site.model.SiteMatterAssistViewsEntity;
/**
* 辅助接件事项浏览记录查询对象
*
* @author zxfei
* @date 2025-05-15
*/
public class SiteMatterAssistViewsQuery extends SiteMatterAssistViewsEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 辅助接件事项ID */
    private Long assistIdStart;

    /** 结束 辅助接件事项ID */
    private Long assistIdEnd;

    /** 增加 辅助接件事项ID */
    private Long assistIdIncrement;

    /** 辅助接件事项ID列表 */
    private List <Long> assistIdList;

    /** 辅助接件事项ID排除列表 */
    private List <Long> assistIdNotList;

    /** 开始 事项ID */
    private Long matterIdStart;

    /** 结束 事项ID */
    private Long matterIdEnd;

    /** 增加 事项ID */
    private Long matterIdIncrement;

    /** 事项ID列表 */
    private List <Long> matterIdList;

    /** 事项ID排除列表 */
    private List <Long> matterIdNotList;

    /** 开始 浏览用户id */
    private Long viewUserIdStart;

    /** 结束 浏览用户id */
    private Long viewUserIdEnd;

    /** 增加 浏览用户id */
    private Long viewUserIdIncrement;

    /** 浏览用户id列表 */
    private List <Long> viewUserIdList;

    /** 浏览用户id排除列表 */
    private List <Long> viewUserIdNotList;

    /** 浏览用户名称 */
    private List<String> viewUserNameList;

    /** 浏览用户名称排除列表 */
    private List <String> viewUserNameNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建人id */
    private Long createUserIdStart;

    /** 结束 创建人id */
    private Long createUserIdEnd;

    /** 增加 创建人id */
    private Long createUserIdIncrement;

    /** 创建人id列表 */
    private List <Long> createUserIdList;

    /** 创建人id排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 更新人id */
    private Long updateUserIdStart;

    /** 结束 更新人id */
    private Long updateUserIdEnd;

    /** 增加 更新人id */
    private Long updateUserIdIncrement;

    /** 更新人id列表 */
    private List <Long> updateUserIdList;

    /** 更新人id排除列表 */
    private List <Long> updateUserIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SiteMatterAssistViewsQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SiteMatterAssistViewsQuery> andConditionList;

    public SiteMatterAssistViewsQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 辅助接件事项ID
    * @return assistIdStart
    */
    public Long getAssistIdStart(){
        return this.assistIdStart;
    }

    /**
    * 设置 开始 辅助接件事项ID
    * @param assistIdStart
    */
    public void setAssistIdStart(Long assistIdStart){
        this.assistIdStart = assistIdStart;
    }

    /**
    * 获取 结束 辅助接件事项ID
    * @return $assistIdEnd
    */
    public Long getAssistIdEnd(){
        return this.assistIdEnd;
    }

    /**
    * 设置 结束 辅助接件事项ID
    * @param assistIdEnd
    */
    public void setAssistIdEnd(Long assistIdEnd){
        this.assistIdEnd = assistIdEnd;
    }

    /**
    * 获取 增加 辅助接件事项ID
    * @return assistIdIncrement
    */
    public Long getAssistIdIncrement(){
        return this.assistIdIncrement;
    }

    /**
    * 设置 增加 辅助接件事项ID
    * @param assistIdIncrement
    */
    public void setAssistIdIncrement(Long assistIdIncrement){
        this.assistIdIncrement = assistIdIncrement;
    }

    /**
    * 获取 辅助接件事项ID
    * @return assistIdList
    */
    public List<Long> getAssistIdList(){
        return this.assistIdList;
    }

    /**
    * 设置 辅助接件事项ID
    * @param assistIdList
    */
    public void setAssistIdList(List<Long> assistIdList){
        this.assistIdList = assistIdList;
    }

    /**
    * 获取 辅助接件事项ID
    * @return assistIdNotList
    */
    public List<Long> getAssistIdNotList(){
        return this.assistIdNotList;
    }

    /**
    * 设置 辅助接件事项ID
    * @param assistIdNotList
    */
    public void setAssistIdNotList(List<Long> assistIdNotList){
        this.assistIdNotList = assistIdNotList;
    }


    /**
    * 获取 开始 事项ID
    * @return matterIdStart
    */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
    * 设置 开始 事项ID
    * @param matterIdStart
    */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
    * 获取 结束 事项ID
    * @return $matterIdEnd
    */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
    * 设置 结束 事项ID
    * @param matterIdEnd
    */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
    * 获取 增加 事项ID
    * @return matterIdIncrement
    */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
    * 设置 增加 事项ID
    * @param matterIdIncrement
    */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
    * 获取 事项ID
    * @return matterIdList
    */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
    * 设置 事项ID
    * @param matterIdList
    */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
    * 获取 事项ID
    * @return matterIdNotList
    */
    public List<Long> getMatterIdNotList(){
        return this.matterIdNotList;
    }

    /**
    * 设置 事项ID
    * @param matterIdNotList
    */
    public void setMatterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
    }


    /**
    * 获取 开始 浏览用户id
    * @return viewUserIdStart
    */
    public Long getViewUserIdStart(){
        return this.viewUserIdStart;
    }

    /**
    * 设置 开始 浏览用户id
    * @param viewUserIdStart
    */
    public void setViewUserIdStart(Long viewUserIdStart){
        this.viewUserIdStart = viewUserIdStart;
    }

    /**
    * 获取 结束 浏览用户id
    * @return $viewUserIdEnd
    */
    public Long getViewUserIdEnd(){
        return this.viewUserIdEnd;
    }

    /**
    * 设置 结束 浏览用户id
    * @param viewUserIdEnd
    */
    public void setViewUserIdEnd(Long viewUserIdEnd){
        this.viewUserIdEnd = viewUserIdEnd;
    }

    /**
    * 获取 增加 浏览用户id
    * @return viewUserIdIncrement
    */
    public Long getViewUserIdIncrement(){
        return this.viewUserIdIncrement;
    }

    /**
    * 设置 增加 浏览用户id
    * @param viewUserIdIncrement
    */
    public void setViewUserIdIncrement(Long viewUserIdIncrement){
        this.viewUserIdIncrement = viewUserIdIncrement;
    }

    /**
    * 获取 浏览用户id
    * @return viewUserIdList
    */
    public List<Long> getViewUserIdList(){
        return this.viewUserIdList;
    }

    /**
    * 设置 浏览用户id
    * @param viewUserIdList
    */
    public void setViewUserIdList(List<Long> viewUserIdList){
        this.viewUserIdList = viewUserIdList;
    }

    /**
    * 获取 浏览用户id
    * @return viewUserIdNotList
    */
    public List<Long> getViewUserIdNotList(){
        return this.viewUserIdNotList;
    }

    /**
    * 设置 浏览用户id
    * @param viewUserIdNotList
    */
    public void setViewUserIdNotList(List<Long> viewUserIdNotList){
        this.viewUserIdNotList = viewUserIdNotList;
    }


    /**
    * 获取 浏览用户名称
    * @return viewUserNameList
    */
    public List<String> getViewUserNameList(){
        return this.viewUserNameList;
    }

    /**
    * 设置 浏览用户名称
    * @param viewUserNameList
    */
    public void setViewUserNameList(List<String> viewUserNameList){
        this.viewUserNameList = viewUserNameList;
    }

    /**
    * 获取 浏览用户名称
    * @return viewUserNameNotList
    */
    public List<String> getViewUserNameNotList(){
        return this.viewUserNameNotList;
    }

    /**
    * 设置 浏览用户名称
    * @param viewUserNameNotList
    */
    public void setViewUserNameNotList(List<String> viewUserNameNotList){
        this.viewUserNameNotList = viewUserNameNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建人id
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建人id
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建人id
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建人id
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建人id
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建人id
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 更新人id
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新人id
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新人id
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新人id
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新人id
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新人id
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新人id
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新人id
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public SiteMatterAssistViewsQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public SiteMatterAssistViewsQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public SiteMatterAssistViewsQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public SiteMatterAssistViewsQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public SiteMatterAssistViewsQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public SiteMatterAssistViewsQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  辅助接件事项ID
    * @param assistId
    */
    public SiteMatterAssistViewsQuery assistId(Long assistId){
	    setAssistId(assistId);
		return this;
    }
	
	 /**
    * 设置 开始 辅助接件事项ID
    * @param assistIdStart
    */
    public SiteMatterAssistViewsQuery assistIdStart(Long assistIdStart){
		this.assistIdStart = assistIdStart;
		return this;
    }

    /**
    * 设置 结束 辅助接件事项ID
    * @param assistIdEnd
    */
    public SiteMatterAssistViewsQuery assistIdEnd(Long assistIdEnd){
		this.assistIdEnd = assistIdEnd;
		return this;
    }

    /**
    * 设置 增加 辅助接件事项ID
    * @param assistIdIncrement
    */
    public SiteMatterAssistViewsQuery assistIdIncrement(Long assistIdIncrement){
		this.assistIdIncrement = assistIdIncrement;
		return this;
    }

    /**
    * 设置 辅助接件事项ID
    * @param assistIdList
    */
    public SiteMatterAssistViewsQuery assistIdList(List<Long> assistIdList){
        this.assistIdList = assistIdList;
		return this;
        }

        /**
        * 设置 辅助接件事项ID
        * @param assistIdNotList
        */
        public SiteMatterAssistViewsQuery assistIdNotList(List<Long> assistIdNotList){
        this.assistIdNotList = assistIdNotList;
        return this;
        }

    /**
    * 设置  事项ID
    * @param matterId
    */
    public SiteMatterAssistViewsQuery matterId(Long matterId){
	    setMatterId(matterId);
		return this;
    }
	
	 /**
    * 设置 开始 事项ID
    * @param matterIdStart
    */
    public SiteMatterAssistViewsQuery matterIdStart(Long matterIdStart){
		this.matterIdStart = matterIdStart;
		return this;
    }

    /**
    * 设置 结束 事项ID
    * @param matterIdEnd
    */
    public SiteMatterAssistViewsQuery matterIdEnd(Long matterIdEnd){
		this.matterIdEnd = matterIdEnd;
		return this;
    }

    /**
    * 设置 增加 事项ID
    * @param matterIdIncrement
    */
    public SiteMatterAssistViewsQuery matterIdIncrement(Long matterIdIncrement){
		this.matterIdIncrement = matterIdIncrement;
		return this;
    }

    /**
    * 设置 事项ID
    * @param matterIdList
    */
    public SiteMatterAssistViewsQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
		return this;
        }

        /**
        * 设置 事项ID
        * @param matterIdNotList
        */
        public SiteMatterAssistViewsQuery matterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
        return this;
        }

    /**
    * 设置  浏览用户id
    * @param viewUserId
    */
    public SiteMatterAssistViewsQuery viewUserId(Long viewUserId){
	    setViewUserId(viewUserId);
		return this;
    }
	
	 /**
    * 设置 开始 浏览用户id
    * @param viewUserIdStart
    */
    public SiteMatterAssistViewsQuery viewUserIdStart(Long viewUserIdStart){
		this.viewUserIdStart = viewUserIdStart;
		return this;
    }

    /**
    * 设置 结束 浏览用户id
    * @param viewUserIdEnd
    */
    public SiteMatterAssistViewsQuery viewUserIdEnd(Long viewUserIdEnd){
		this.viewUserIdEnd = viewUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 浏览用户id
    * @param viewUserIdIncrement
    */
    public SiteMatterAssistViewsQuery viewUserIdIncrement(Long viewUserIdIncrement){
		this.viewUserIdIncrement = viewUserIdIncrement;
		return this;
    }

    /**
    * 设置 浏览用户id
    * @param viewUserIdList
    */
    public SiteMatterAssistViewsQuery viewUserIdList(List<Long> viewUserIdList){
        this.viewUserIdList = viewUserIdList;
		return this;
        }

        /**
        * 设置 浏览用户id
        * @param viewUserIdNotList
        */
        public SiteMatterAssistViewsQuery viewUserIdNotList(List<Long> viewUserIdNotList){
        this.viewUserIdNotList = viewUserIdNotList;
        return this;
        }


	/**
    * 设置 浏览用户名称
    * @param viewUserName
    */
    public SiteMatterAssistViewsQuery viewUserName(String viewUserName){
        setViewUserName(viewUserName);
		return this;
    }

    /**
    * 设置 浏览用户名称
    * @param viewUserNameList
    */
    public SiteMatterAssistViewsQuery viewUserNameList(List<String> viewUserNameList){
        this.viewUserNameList = viewUserNameList;
		return this;
    }


    /**
    * 设置  创建人id
    * @param createUserId
    */
    public SiteMatterAssistViewsQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public SiteMatterAssistViewsQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public SiteMatterAssistViewsQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public SiteMatterAssistViewsQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public SiteMatterAssistViewsQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建人id
        * @param createUserIdNotList
        */
        public SiteMatterAssistViewsQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新人id
    * @param updateUserId
    */
    public SiteMatterAssistViewsQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新人id
    * @param updateUserIdStart
    */
    public SiteMatterAssistViewsQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新人id
    * @param updateUserIdEnd
    */
    public SiteMatterAssistViewsQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新人id
    * @param updateUserIdIncrement
    */
    public SiteMatterAssistViewsQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdList
    */
    public SiteMatterAssistViewsQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新人id
        * @param updateUserIdNotList
        */
        public SiteMatterAssistViewsQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<SiteMatterAssistViewsQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<SiteMatterAssistViewsQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<SiteMatterAssistViewsQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<SiteMatterAssistViewsQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}