package com.mortals.xhx.module.apply.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.apply.model.MatterApplyEntity;
/**
 * 单事项申报查询对象
 *
 * @author zxfei
 * @date 2024-06-25
 */
public class MatterApplyQuery extends MatterApplyEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 站点id排除列表 */
    private List <Long> siteIdNotList;

    /** 开始 单事项id */
    private Long singleMatterIdStart;

    /** 结束 单事项id */
    private Long singleMatterIdEnd;

    /** 增加 单事项id */
    private Long singleMatterIdIncrement;

    /** 单事项id列表 */
    private List <Long> singleMatterIdList;

    /** 单事项id排除列表 */
    private List <Long> singleMatterIdNotList;

    /** 开始 基础事项id */
    private Long matterIdStart;

    /** 结束 基础事项id */
    private Long matterIdEnd;

    /** 增加 基础事项id */
    private Long matterIdIncrement;

    /** 基础事项id列表 */
    private List <Long> matterIdList;

    /** 基础事项id排除列表 */
    private List <Long> matterIdNotList;

    /** 部门编码 */
    private List<String> deptCodeList;

    /** 部门编码排除列表 */
    private List <String> deptCodeNotList;
    /** 单事项名称 */
    private List<String> matterNameList;

    /** 单事项名称排除列表 */
    private List <String> matterNameNotList;
    /** 申请人姓名 */
    private List<String> applyPersonList;

    /** 申请人姓名排除列表 */
    private List <String> applyPersonNotList;
    /** 开始 申请人性别 */
    private Integer sexualStart;

    /** 结束 申请人性别 */
    private Integer sexualEnd;

    /** 增加 申请人性别 */
    private Integer sexualIncrement;

    /** 申请人性别列表 */
    private List <Integer> sexualList;

    /** 申请人性别排除列表 */
    private List <Integer> sexualNotList;

    /** 申请人电话 */
    private List<String> phoneNumList;

    /** 申请人电话排除列表 */
    private List <String> phoneNumNotList;
    /** 申请人身份证号码 */
    private List<String> idCardList;

    /** 申请人身份证号码排除列表 */
    private List <String> idCardNotList;
    /** 地点 */
    private List<String> addressList;

    /** 地点排除列表 */
    private List <String> addressNotList;
    /** 开始 申请方式1移动端2后台 */
    private Integer applyTypeStart;

    /** 结束 申请方式1移动端2后台 */
    private Integer applyTypeEnd;

    /** 增加 申请方式1移动端2后台 */
    private Integer applyTypeIncrement;

    /** 申请方式1移动端2后台列表 */
    private List <Integer> applyTypeList;

    /** 申请方式1移动端2后台排除列表 */
    private List <Integer> applyTypeNotList;

    /** 开始 申请时间 */
    private String applyTimeStart;

    /** 结束 申请时间 */
    private String applyTimeEnd;

    /** 开始 审批状态0审批中1通过2不通过 */
    private Integer applyStateStart;

    /** 结束 审批状态0审批中1通过2不通过 */
    private Integer applyStateEnd;

    /** 增加 审批状态0审批中1通过2不通过 */
    private Integer applyStateIncrement;

    /** 审批状态0审批中1通过2不通过列表 */
    private List <Integer> applyStateList;

    /** 审批状态0审批中1通过2不通过排除列表 */
    private List <Integer> applyStateNotList;

    /** 审批意见 */
    private List<String> advisementList;

    /** 审批意见排除列表 */
    private List <String> advisementNotList;
    /** 备注 */
    private List<String> remarksList;

    /** 备注排除列表 */
    private List <String> remarksNotList;
    /** 微信openId */
    private List<String> openIdList;

    /** 微信openId排除列表 */
    private List <String> openIdNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 事项申请文件名称 */
    private List<String> filenameList;

    /** 事项申请文件名称排除列表 */
    private List <String> filenameNotList;
    /** 事项申请文件地址 */
    private List<String> fileUrlList;

    /** 事项申请文件地址排除列表 */
    private List <String> fileUrlNotList;
    /** 开始 审批时间 */
    private String examineTimeStart;

    /** 结束 审批时间 */
    private String examineTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MatterApplyQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MatterApplyQuery> andConditionList;

    public MatterApplyQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 站点id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 开始 单事项id
     * @return singleMatterIdStart
     */
    public Long getSingleMatterIdStart(){
        return this.singleMatterIdStart;
    }

    /**
     * 设置 开始 单事项id
     * @param singleMatterIdStart
     */
    public void setSingleMatterIdStart(Long singleMatterIdStart){
        this.singleMatterIdStart = singleMatterIdStart;
    }

    /**
     * 获取 结束 单事项id
     * @return $singleMatterIdEnd
     */
    public Long getSingleMatterIdEnd(){
        return this.singleMatterIdEnd;
    }

    /**
     * 设置 结束 单事项id
     * @param singleMatterIdEnd
     */
    public void setSingleMatterIdEnd(Long singleMatterIdEnd){
        this.singleMatterIdEnd = singleMatterIdEnd;
    }

    /**
     * 获取 增加 单事项id
     * @return singleMatterIdIncrement
     */
    public Long getSingleMatterIdIncrement(){
        return this.singleMatterIdIncrement;
    }

    /**
     * 设置 增加 单事项id
     * @param singleMatterIdIncrement
     */
    public void setSingleMatterIdIncrement(Long singleMatterIdIncrement){
        this.singleMatterIdIncrement = singleMatterIdIncrement;
    }

    /**
     * 获取 单事项id
     * @return singleMatterIdList
     */
    public List<Long> getSingleMatterIdList(){
        return this.singleMatterIdList;
    }

    /**
     * 设置 单事项id
     * @param singleMatterIdList
     */
    public void setSingleMatterIdList(List<Long> singleMatterIdList){
        this.singleMatterIdList = singleMatterIdList;
    }

    /**
     * 获取 单事项id
     * @return singleMatterIdNotList
     */
    public List<Long> getSingleMatterIdNotList(){
        return this.singleMatterIdNotList;
    }

    /**
     * 设置 单事项id
     * @param singleMatterIdNotList
     */
    public void setSingleMatterIdNotList(List<Long> singleMatterIdNotList){
        this.singleMatterIdNotList = singleMatterIdNotList;
    }


    /**
     * 获取 开始 基础事项id
     * @return matterIdStart
     */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
     * 设置 开始 基础事项id
     * @param matterIdStart
     */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
     * 获取 结束 基础事项id
     * @return $matterIdEnd
     */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
     * 设置 结束 基础事项id
     * @param matterIdEnd
     */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
     * 获取 增加 基础事项id
     * @return matterIdIncrement
     */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
     * 设置 增加 基础事项id
     * @param matterIdIncrement
     */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
     * 获取 基础事项id
     * @return matterIdList
     */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
     * 设置 基础事项id
     * @param matterIdList
     */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
     * 获取 基础事项id
     * @return matterIdNotList
     */
    public List<Long> getMatterIdNotList(){
        return this.matterIdNotList;
    }

    /**
     * 设置 基础事项id
     * @param matterIdNotList
     */
    public void setMatterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
    }


    /**
     * 获取 部门编码
     * @return deptCodeList
     */
    public List<String> getDeptCodeList(){
        return this.deptCodeList;
    }

    /**
     * 设置 部门编码
     * @param deptCodeList
     */
    public void setDeptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
    }

    /**
     * 获取 部门编码
     * @return deptCodeNotList
     */
    public List<String> getDeptCodeNotList(){
        return this.deptCodeNotList;
    }

    /**
     * 设置 部门编码
     * @param deptCodeNotList
     */
    public void setDeptCodeNotList(List<String> deptCodeNotList){
        this.deptCodeNotList = deptCodeNotList;
    }

    /**
     * 获取 单事项名称
     * @return matterNameList
     */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
     * 设置 单事项名称
     * @param matterNameList
     */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }

    /**
     * 获取 单事项名称
     * @return matterNameNotList
     */
    public List<String> getMatterNameNotList(){
        return this.matterNameNotList;
    }

    /**
     * 设置 单事项名称
     * @param matterNameNotList
     */
    public void setMatterNameNotList(List<String> matterNameNotList){
        this.matterNameNotList = matterNameNotList;
    }

    /**
     * 获取 申请人姓名
     * @return applyPersonList
     */
    public List<String> getApplyPersonList(){
        return this.applyPersonList;
    }

    /**
     * 设置 申请人姓名
     * @param applyPersonList
     */
    public void setApplyPersonList(List<String> applyPersonList){
        this.applyPersonList = applyPersonList;
    }

    /**
     * 获取 申请人姓名
     * @return applyPersonNotList
     */
    public List<String> getApplyPersonNotList(){
        return this.applyPersonNotList;
    }

    /**
     * 设置 申请人姓名
     * @param applyPersonNotList
     */
    public void setApplyPersonNotList(List<String> applyPersonNotList){
        this.applyPersonNotList = applyPersonNotList;
    }

    /**
     * 获取 开始 申请人性别
     * @return sexualStart
     */
    public Integer getSexualStart(){
        return this.sexualStart;
    }

    /**
     * 设置 开始 申请人性别
     * @param sexualStart
     */
    public void setSexualStart(Integer sexualStart){
        this.sexualStart = sexualStart;
    }

    /**
     * 获取 结束 申请人性别
     * @return $sexualEnd
     */
    public Integer getSexualEnd(){
        return this.sexualEnd;
    }

    /**
     * 设置 结束 申请人性别
     * @param sexualEnd
     */
    public void setSexualEnd(Integer sexualEnd){
        this.sexualEnd = sexualEnd;
    }

    /**
     * 获取 增加 申请人性别
     * @return sexualIncrement
     */
    public Integer getSexualIncrement(){
        return this.sexualIncrement;
    }

    /**
     * 设置 增加 申请人性别
     * @param sexualIncrement
     */
    public void setSexualIncrement(Integer sexualIncrement){
        this.sexualIncrement = sexualIncrement;
    }

    /**
     * 获取 申请人性别
     * @return sexualList
     */
    public List<Integer> getSexualList(){
        return this.sexualList;
    }

    /**
     * 设置 申请人性别
     * @param sexualList
     */
    public void setSexualList(List<Integer> sexualList){
        this.sexualList = sexualList;
    }

    /**
     * 获取 申请人性别
     * @return sexualNotList
     */
    public List<Integer> getSexualNotList(){
        return this.sexualNotList;
    }

    /**
     * 设置 申请人性别
     * @param sexualNotList
     */
    public void setSexualNotList(List<Integer> sexualNotList){
        this.sexualNotList = sexualNotList;
    }


    /**
     * 获取 申请人电话
     * @return phoneNumList
     */
    public List<String> getPhoneNumList(){
        return this.phoneNumList;
    }

    /**
     * 设置 申请人电话
     * @param phoneNumList
     */
    public void setPhoneNumList(List<String> phoneNumList){
        this.phoneNumList = phoneNumList;
    }

    /**
     * 获取 申请人电话
     * @return phoneNumNotList
     */
    public List<String> getPhoneNumNotList(){
        return this.phoneNumNotList;
    }

    /**
     * 设置 申请人电话
     * @param phoneNumNotList
     */
    public void setPhoneNumNotList(List<String> phoneNumNotList){
        this.phoneNumNotList = phoneNumNotList;
    }

    /**
     * 获取 申请人身份证号码
     * @return idCardList
     */
    public List<String> getIdCardList(){
        return this.idCardList;
    }

    /**
     * 设置 申请人身份证号码
     * @param idCardList
     */
    public void setIdCardList(List<String> idCardList){
        this.idCardList = idCardList;
    }

    /**
     * 获取 申请人身份证号码
     * @return idCardNotList
     */
    public List<String> getIdCardNotList(){
        return this.idCardNotList;
    }

    /**
     * 设置 申请人身份证号码
     * @param idCardNotList
     */
    public void setIdCardNotList(List<String> idCardNotList){
        this.idCardNotList = idCardNotList;
    }

    /**
     * 获取 地点
     * @return addressList
     */
    public List<String> getAddressList(){
        return this.addressList;
    }

    /**
     * 设置 地点
     * @param addressList
     */
    public void setAddressList(List<String> addressList){
        this.addressList = addressList;
    }

    /**
     * 获取 地点
     * @return addressNotList
     */
    public List<String> getAddressNotList(){
        return this.addressNotList;
    }

    /**
     * 设置 地点
     * @param addressNotList
     */
    public void setAddressNotList(List<String> addressNotList){
        this.addressNotList = addressNotList;
    }

    /**
     * 获取 开始 申请方式1移动端2后台
     * @return applyTypeStart
     */
    public Integer getApplyTypeStart(){
        return this.applyTypeStart;
    }

    /**
     * 设置 开始 申请方式1移动端2后台
     * @param applyTypeStart
     */
    public void setApplyTypeStart(Integer applyTypeStart){
        this.applyTypeStart = applyTypeStart;
    }

    /**
     * 获取 结束 申请方式1移动端2后台
     * @return $applyTypeEnd
     */
    public Integer getApplyTypeEnd(){
        return this.applyTypeEnd;
    }

    /**
     * 设置 结束 申请方式1移动端2后台
     * @param applyTypeEnd
     */
    public void setApplyTypeEnd(Integer applyTypeEnd){
        this.applyTypeEnd = applyTypeEnd;
    }

    /**
     * 获取 增加 申请方式1移动端2后台
     * @return applyTypeIncrement
     */
    public Integer getApplyTypeIncrement(){
        return this.applyTypeIncrement;
    }

    /**
     * 设置 增加 申请方式1移动端2后台
     * @param applyTypeIncrement
     */
    public void setApplyTypeIncrement(Integer applyTypeIncrement){
        this.applyTypeIncrement = applyTypeIncrement;
    }

    /**
     * 获取 申请方式1移动端2后台
     * @return applyTypeList
     */
    public List<Integer> getApplyTypeList(){
        return this.applyTypeList;
    }

    /**
     * 设置 申请方式1移动端2后台
     * @param applyTypeList
     */
    public void setApplyTypeList(List<Integer> applyTypeList){
        this.applyTypeList = applyTypeList;
    }

    /**
     * 获取 申请方式1移动端2后台
     * @return applyTypeNotList
     */
    public List<Integer> getApplyTypeNotList(){
        return this.applyTypeNotList;
    }

    /**
     * 设置 申请方式1移动端2后台
     * @param applyTypeNotList
     */
    public void setApplyTypeNotList(List<Integer> applyTypeNotList){
        this.applyTypeNotList = applyTypeNotList;
    }


    /**
     * 获取 开始 申请时间
     * @return applyTimeStart
     */
    public String getApplyTimeStart(){
        return this.applyTimeStart;
    }

    /**
     * 设置 开始 申请时间
     * @param applyTimeStart
     */
    public void setApplyTimeStart(String applyTimeStart){
        this.applyTimeStart = applyTimeStart;
    }

    /**
     * 获取 结束 申请时间
     * @return applyTimeEnd
     */
    public String getApplyTimeEnd(){
        return this.applyTimeEnd;
    }

    /**
     * 设置 结束 申请时间
     * @param applyTimeEnd
     */
    public void setApplyTimeEnd(String applyTimeEnd){
        this.applyTimeEnd = applyTimeEnd;
    }

    /**
     * 获取 开始 审批状态0审批中1通过2不通过
     * @return applyStateStart
     */
    public Integer getApplyStateStart(){
        return this.applyStateStart;
    }

    /**
     * 设置 开始 审批状态0审批中1通过2不通过
     * @param applyStateStart
     */
    public void setApplyStateStart(Integer applyStateStart){
        this.applyStateStart = applyStateStart;
    }

    /**
     * 获取 结束 审批状态0审批中1通过2不通过
     * @return $applyStateEnd
     */
    public Integer getApplyStateEnd(){
        return this.applyStateEnd;
    }

    /**
     * 设置 结束 审批状态0审批中1通过2不通过
     * @param applyStateEnd
     */
    public void setApplyStateEnd(Integer applyStateEnd){
        this.applyStateEnd = applyStateEnd;
    }

    /**
     * 获取 增加 审批状态0审批中1通过2不通过
     * @return applyStateIncrement
     */
    public Integer getApplyStateIncrement(){
        return this.applyStateIncrement;
    }

    /**
     * 设置 增加 审批状态0审批中1通过2不通过
     * @param applyStateIncrement
     */
    public void setApplyStateIncrement(Integer applyStateIncrement){
        this.applyStateIncrement = applyStateIncrement;
    }

    /**
     * 获取 审批状态0审批中1通过2不通过
     * @return applyStateList
     */
    public List<Integer> getApplyStateList(){
        return this.applyStateList;
    }

    /**
     * 设置 审批状态0审批中1通过2不通过
     * @param applyStateList
     */
    public void setApplyStateList(List<Integer> applyStateList){
        this.applyStateList = applyStateList;
    }

    /**
     * 获取 审批状态0审批中1通过2不通过
     * @return applyStateNotList
     */
    public List<Integer> getApplyStateNotList(){
        return this.applyStateNotList;
    }

    /**
     * 设置 审批状态0审批中1通过2不通过
     * @param applyStateNotList
     */
    public void setApplyStateNotList(List<Integer> applyStateNotList){
        this.applyStateNotList = applyStateNotList;
    }


    /**
     * 获取 审批意见
     * @return advisementList
     */
    public List<String> getAdvisementList(){
        return this.advisementList;
    }

    /**
     * 设置 审批意见
     * @param advisementList
     */
    public void setAdvisementList(List<String> advisementList){
        this.advisementList = advisementList;
    }

    /**
     * 获取 审批意见
     * @return advisementNotList
     */
    public List<String> getAdvisementNotList(){
        return this.advisementNotList;
    }

    /**
     * 设置 审批意见
     * @param advisementNotList
     */
    public void setAdvisementNotList(List<String> advisementNotList){
        this.advisementNotList = advisementNotList;
    }

    /**
     * 获取 备注
     * @return remarksList
     */
    public List<String> getRemarksList(){
        return this.remarksList;
    }

    /**
     * 设置 备注
     * @param remarksList
     */
    public void setRemarksList(List<String> remarksList){
        this.remarksList = remarksList;
    }

    /**
     * 获取 备注
     * @return remarksNotList
     */
    public List<String> getRemarksNotList(){
        return this.remarksNotList;
    }

    /**
     * 设置 备注
     * @param remarksNotList
     */
    public void setRemarksNotList(List<String> remarksNotList){
        this.remarksNotList = remarksNotList;
    }

    /**
     * 获取 微信openId
     * @return openIdList
     */
    public List<String> getOpenIdList(){
        return this.openIdList;
    }

    /**
     * 设置 微信openId
     * @param openIdList
     */
    public void setOpenIdList(List<String> openIdList){
        this.openIdList = openIdList;
    }

    /**
     * 获取 微信openId
     * @return openIdNotList
     */
    public List<String> getOpenIdNotList(){
        return this.openIdNotList;
    }

    /**
     * 设置 微信openId
     * @param openIdNotList
     */
    public void setOpenIdNotList(List<String> openIdNotList){
        this.openIdNotList = openIdNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 事项申请文件名称
     * @return filenameList
     */
    public List<String> getFilenameList(){
        return this.filenameList;
    }

    /**
     * 设置 事项申请文件名称
     * @param filenameList
     */
    public void setFilenameList(List<String> filenameList){
        this.filenameList = filenameList;
    }

    /**
     * 获取 事项申请文件名称
     * @return filenameNotList
     */
    public List<String> getFilenameNotList(){
        return this.filenameNotList;
    }

    /**
     * 设置 事项申请文件名称
     * @param filenameNotList
     */
    public void setFilenameNotList(List<String> filenameNotList){
        this.filenameNotList = filenameNotList;
    }

    /**
     * 获取 事项申请文件地址
     * @return fileUrlList
     */
    public List<String> getFileUrlList(){
        return this.fileUrlList;
    }

    /**
     * 设置 事项申请文件地址
     * @param fileUrlList
     */
    public void setFileUrlList(List<String> fileUrlList){
        this.fileUrlList = fileUrlList;
    }

    /**
     * 获取 事项申请文件地址
     * @return fileUrlNotList
     */
    public List<String> getFileUrlNotList(){
        return this.fileUrlNotList;
    }

    /**
     * 设置 事项申请文件地址
     * @param fileUrlNotList
     */
    public void setFileUrlNotList(List<String> fileUrlNotList){
        this.fileUrlNotList = fileUrlNotList;
    }

    /**
     * 获取 开始 审批时间
     * @return examineTimeStart
     */
    public String getExamineTimeStart(){
        return this.examineTimeStart;
    }

    /**
     * 设置 开始 审批时间
     * @param examineTimeStart
     */
    public void setExamineTimeStart(String examineTimeStart){
        this.examineTimeStart = examineTimeStart;
    }

    /**
     * 获取 结束 审批时间
     * @return examineTimeEnd
     */
    public String getExamineTimeEnd(){
        return this.examineTimeEnd;
    }

    /**
     * 设置 结束 审批时间
     * @param examineTimeEnd
     */
    public void setExamineTimeEnd(String examineTimeEnd){
        this.examineTimeEnd = examineTimeEnd;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public MatterApplyQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public MatterApplyQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public MatterApplyQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public MatterApplyQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public MatterApplyQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public MatterApplyQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  站点id
     * @param siteId
     */
    public MatterApplyQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public MatterApplyQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public MatterApplyQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public MatterApplyQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public MatterApplyQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public MatterApplyQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }

    /**
     * 设置  单事项id
     * @param singleMatterId
     */
    public MatterApplyQuery singleMatterId(Long singleMatterId){
        setSingleMatterId(singleMatterId);
        return this;
    }

    /**
     * 设置 开始 单事项id
     * @param singleMatterIdStart
     */
    public MatterApplyQuery singleMatterIdStart(Long singleMatterIdStart){
        this.singleMatterIdStart = singleMatterIdStart;
        return this;
    }

    /**
     * 设置 结束 单事项id
     * @param singleMatterIdEnd
     */
    public MatterApplyQuery singleMatterIdEnd(Long singleMatterIdEnd){
        this.singleMatterIdEnd = singleMatterIdEnd;
        return this;
    }

    /**
     * 设置 增加 单事项id
     * @param singleMatterIdIncrement
     */
    public MatterApplyQuery singleMatterIdIncrement(Long singleMatterIdIncrement){
        this.singleMatterIdIncrement = singleMatterIdIncrement;
        return this;
    }

    /**
     * 设置 单事项id
     * @param singleMatterIdList
     */
    public MatterApplyQuery singleMatterIdList(List<Long> singleMatterIdList){
        this.singleMatterIdList = singleMatterIdList;
        return this;
    }

    /**
     * 设置 单事项id
     * @param singleMatterIdNotList
     */
    public MatterApplyQuery singleMatterIdNotList(List<Long> singleMatterIdNotList){
        this.singleMatterIdNotList = singleMatterIdNotList;
        return this;
    }

    /**
     * 设置  基础事项id
     * @param matterId
     */
    public MatterApplyQuery matterId(Long matterId){
        setMatterId(matterId);
        return this;
    }

    /**
     * 设置 开始 基础事项id
     * @param matterIdStart
     */
    public MatterApplyQuery matterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
        return this;
    }

    /**
     * 设置 结束 基础事项id
     * @param matterIdEnd
     */
    public MatterApplyQuery matterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
        return this;
    }

    /**
     * 设置 增加 基础事项id
     * @param matterIdIncrement
     */
    public MatterApplyQuery matterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
        return this;
    }

    /**
     * 设置 基础事项id
     * @param matterIdList
     */
    public MatterApplyQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
        return this;
    }

    /**
     * 设置 基础事项id
     * @param matterIdNotList
     */
    public MatterApplyQuery matterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
        return this;
    }


    /**
     * 设置 部门编码
     * @param deptCode
     */
    public MatterApplyQuery deptCode(String deptCode){
        setDeptCode(deptCode);
        return this;
    }

    /**
     * 设置 部门编码
     * @param deptCodeList
     */
    public MatterApplyQuery deptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
        return this;
    }


    /**
     * 设置 单事项名称
     * @param matterName
     */
    public MatterApplyQuery matterName(String matterName){
        setMatterName(matterName);
        return this;
    }

    /**
     * 设置 单事项名称
     * @param matterNameList
     */
    public MatterApplyQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
        return this;
    }


    /**
     * 设置 申请人姓名
     * @param applyPerson
     */
    public MatterApplyQuery applyPerson(String applyPerson){
        setApplyPerson(applyPerson);
        return this;
    }

    /**
     * 设置 申请人姓名
     * @param applyPersonList
     */
    public MatterApplyQuery applyPersonList(List<String> applyPersonList){
        this.applyPersonList = applyPersonList;
        return this;
    }

    /**
     * 设置  申请人性别
     * @param sexual
     */
    public MatterApplyQuery sexual(Integer sexual){
        setSexual(sexual);
        return this;
    }

    /**
     * 设置 开始 申请人性别
     * @param sexualStart
     */
    public MatterApplyQuery sexualStart(Integer sexualStart){
        this.sexualStart = sexualStart;
        return this;
    }

    /**
     * 设置 结束 申请人性别
     * @param sexualEnd
     */
    public MatterApplyQuery sexualEnd(Integer sexualEnd){
        this.sexualEnd = sexualEnd;
        return this;
    }

    /**
     * 设置 增加 申请人性别
     * @param sexualIncrement
     */
    public MatterApplyQuery sexualIncrement(Integer sexualIncrement){
        this.sexualIncrement = sexualIncrement;
        return this;
    }

    /**
     * 设置 申请人性别
     * @param sexualList
     */
    public MatterApplyQuery sexualList(List<Integer> sexualList){
        this.sexualList = sexualList;
        return this;
    }

    /**
     * 设置 申请人性别
     * @param sexualNotList
     */
    public MatterApplyQuery sexualNotList(List<Integer> sexualNotList){
        this.sexualNotList = sexualNotList;
        return this;
    }


    /**
     * 设置 申请人电话
     * @param phoneNum
     */
    public MatterApplyQuery phoneNum(String phoneNum){
        setPhoneNum(phoneNum);
        return this;
    }

    /**
     * 设置 申请人电话
     * @param phoneNumList
     */
    public MatterApplyQuery phoneNumList(List<String> phoneNumList){
        this.phoneNumList = phoneNumList;
        return this;
    }


    /**
     * 设置 申请人身份证号码
     * @param idCard
     */
    public MatterApplyQuery idCard(String idCard){
        setIdCard(idCard);
        return this;
    }

    /**
     * 设置 申请人身份证号码
     * @param idCardList
     */
    public MatterApplyQuery idCardList(List<String> idCardList){
        this.idCardList = idCardList;
        return this;
    }


    /**
     * 设置 地点
     * @param address
     */
    public MatterApplyQuery address(String address){
        setAddress(address);
        return this;
    }

    /**
     * 设置 地点
     * @param addressList
     */
    public MatterApplyQuery addressList(List<String> addressList){
        this.addressList = addressList;
        return this;
    }

    /**
     * 设置  申请方式1移动端2后台
     * @param applyType
     */
    public MatterApplyQuery applyType(Integer applyType){
        setApplyType(applyType);
        return this;
    }

    /**
     * 设置 开始 申请方式1移动端2后台
     * @param applyTypeStart
     */
    public MatterApplyQuery applyTypeStart(Integer applyTypeStart){
        this.applyTypeStart = applyTypeStart;
        return this;
    }

    /**
     * 设置 结束 申请方式1移动端2后台
     * @param applyTypeEnd
     */
    public MatterApplyQuery applyTypeEnd(Integer applyTypeEnd){
        this.applyTypeEnd = applyTypeEnd;
        return this;
    }

    /**
     * 设置 增加 申请方式1移动端2后台
     * @param applyTypeIncrement
     */
    public MatterApplyQuery applyTypeIncrement(Integer applyTypeIncrement){
        this.applyTypeIncrement = applyTypeIncrement;
        return this;
    }

    /**
     * 设置 申请方式1移动端2后台
     * @param applyTypeList
     */
    public MatterApplyQuery applyTypeList(List<Integer> applyTypeList){
        this.applyTypeList = applyTypeList;
        return this;
    }

    /**
     * 设置 申请方式1移动端2后台
     * @param applyTypeNotList
     */
    public MatterApplyQuery applyTypeNotList(List<Integer> applyTypeNotList){
        this.applyTypeNotList = applyTypeNotList;
        return this;
    }


    /**
     * 设置  审批状态0审批中1通过2不通过
     * @param applyState
     */
    public MatterApplyQuery applyState(Integer applyState){
        setApplyState(applyState);
        return this;
    }

    /**
     * 设置 开始 审批状态0审批中1通过2不通过
     * @param applyStateStart
     */
    public MatterApplyQuery applyStateStart(Integer applyStateStart){
        this.applyStateStart = applyStateStart;
        return this;
    }

    /**
     * 设置 结束 审批状态0审批中1通过2不通过
     * @param applyStateEnd
     */
    public MatterApplyQuery applyStateEnd(Integer applyStateEnd){
        this.applyStateEnd = applyStateEnd;
        return this;
    }

    /**
     * 设置 增加 审批状态0审批中1通过2不通过
     * @param applyStateIncrement
     */
    public MatterApplyQuery applyStateIncrement(Integer applyStateIncrement){
        this.applyStateIncrement = applyStateIncrement;
        return this;
    }

    /**
     * 设置 审批状态0审批中1通过2不通过
     * @param applyStateList
     */
    public MatterApplyQuery applyStateList(List<Integer> applyStateList){
        this.applyStateList = applyStateList;
        return this;
    }

    /**
     * 设置 审批状态0审批中1通过2不通过
     * @param applyStateNotList
     */
    public MatterApplyQuery applyStateNotList(List<Integer> applyStateNotList){
        this.applyStateNotList = applyStateNotList;
        return this;
    }


    /**
     * 设置 审批意见
     * @param advisement
     */
    public MatterApplyQuery advisement(String advisement){
        setAdvisement(advisement);
        return this;
    }

    /**
     * 设置 审批意见
     * @param advisementList
     */
    public MatterApplyQuery advisementList(List<String> advisementList){
        this.advisementList = advisementList;
        return this;
    }


    /**
     * 设置 备注
     * @param remarks
     */
    public MatterApplyQuery remarks(String remarks){
        setRemarks(remarks);
        return this;
    }

    /**
     * 设置 备注
     * @param remarksList
     */
    public MatterApplyQuery remarksList(List<String> remarksList){
        this.remarksList = remarksList;
        return this;
    }


    /**
     * 设置 微信openId
     * @param openId
     */
    public MatterApplyQuery openId(String openId){
        setOpenId(openId);
        return this;
    }

    /**
     * 设置 微信openId
     * @param openIdList
     */
    public MatterApplyQuery openIdList(List<String> openIdList){
        this.openIdList = openIdList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public MatterApplyQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public MatterApplyQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public MatterApplyQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public MatterApplyQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public MatterApplyQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public MatterApplyQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public MatterApplyQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public MatterApplyQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public MatterApplyQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public MatterApplyQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public MatterApplyQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public MatterApplyQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }



    /**
     * 设置 事项申请文件名称
     * @param filename
     */
    public MatterApplyQuery filename(String filename){
        setFilename(filename);
        return this;
    }

    /**
     * 设置 事项申请文件名称
     * @param filenameList
     */
    public MatterApplyQuery filenameList(List<String> filenameList){
        this.filenameList = filenameList;
        return this;
    }


    /**
     * 设置 事项申请文件地址
     * @param fileUrl
     */
    public MatterApplyQuery fileUrl(String fileUrl){
        setFileUrl(fileUrl);
        return this;
    }

    /**
     * 设置 事项申请文件地址
     * @param fileUrlList
     */
    public MatterApplyQuery fileUrlList(List<String> fileUrlList){
        this.fileUrlList = fileUrlList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<MatterApplyQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<MatterApplyQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<MatterApplyQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<MatterApplyQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}