package com.mortals.xhx.module.single.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.single.model.vo.SingleMatterFileVo;
import lombok.Data;
/**
* 单事项申请文件实体对象
*
* @author zxfei
* @date 2023-06-07
*/
@Data
public class SingleMatterFileEntity extends SingleMatterFileVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点id
    */
    private Long siteId;
    /**
    * 基础事项ID
    */
    private Long matterId;
    /**
    * 事项名称
    */
    private String matterName;
    /**
    * 事项编码
    */
    private String matterCode;
    /**
    * 事项申请文件名称
    */
    private String filename;
    /**
    * 事项申请文件地址
    */
    private String fileUrl;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SingleMatterFileEntity) {
            SingleMatterFileEntity tmp = (SingleMatterFileEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.siteId = null;

            this.matterId = null;

            this.matterName = "";

            this.matterCode = "";

            this.filename = "";

            this.fileUrl = "";
    }
}