package com.mortals.xhx.common.keys;


/**
 * redis缓存参数key
 *
 * @author karlhoo
 */
public final class RedisCacheKeys {
    /**
     * @return 文件访问的地址
     */
    public static String getFileUrlKey() {
        return "params:file:upload";
    }
    /**
     * @return 文件访问的地址
     */
    public static String getCoopsDistributedLockKey() {
        return "coops:distributed:lock:";
    }


    /**
     * @return 锁定流程发起
     */
    public static String getFlowDistributedLockKey() {
        return "workflow:distributed:lock:";
    }

    /**
     * @return 锁定事项同步抓取
     */
    public static String getSyncMatterLockKey() {
        return "sync:matter:lock:";
    }

    /**
     * @return 锁定区域
     */
    public static String getSyncAreaLockKey() {
        return "sync:area:lock:";
    }


    /**
     * @return 锁定流程发起
     */
    public static String getFlowSubKey() {
        return "workflow:sub:key:";
    }
    
}
