-- ----------------------------
-- 辅助接件事项浏览记录表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_site_matter_assist_views`;
CREATE TABLE mortals_sys_site_matter_assist_views(
    `id` bigint(20) NOT NULL  AUTO_INCREMENT   COMMENT '主键ID，主键，自增长',
    `assistId` bigint(20)    DEFAULT '0'  COMMENT '辅助接件事项ID',
    `matterId` bigint(20)      COMMENT '事项ID',
    `viewUserId` bigint(20)      COMMENT '浏览用户id',
    `viewUserName` varchar(512)      COMMENT '浏览用户名称',
    `createTime` datetime      COMMENT '创建时间',
    `createUserId` bigint(20)      COMMENT '创建人id',
    `updateTime` datetime      COMMENT '更新时间',
    `updateUserId` bigint(20)      COMMENT '更新人id',
PRIMARY KEY  (`id`)
,KEY `id` (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='辅助接件事项浏览记录';

-- ----------------------------
-- 常见问题表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_question`;
CREATE TABLE mortals_sys_question(
    `id` bigint(20) NOT NULL  AUTO_INCREMENT   COMMENT '主键ID，主键，自增长',
    `title` varchar(256)      COMMENT '问题标题',
    `deptId` bigint(20)      COMMENT '所属部门id',
    `deptName` varchar(256)      COMMENT '所属部门名称',
    `details` text      COMMENT '问题详情',
    `createTime` datetime      COMMENT '创建时间',
    `createUserId` bigint(20)      COMMENT '创建人id',
    `updateTime` datetime      COMMENT '更新时间',
    `updateUserId` bigint(20)      COMMENT '更新人id',
PRIMARY KEY  (`id`)
,KEY `id` (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='常见问题';

ALTER TABLE `mortals_sys_site_matter_assist` ADD COLUMN `suggest` tinyint(2)    DEFAULT '0'  COMMENT '推荐状态';