package com.mortals.xhx.module.site.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.site.model.vo.SiteMatterAssistViewsVo;
import lombok.Data;
/**
* 辅助接件事项浏览记录实体对象
*
* @author zxfei
* @date 2025-05-15
*/
@Data
public class SiteMatterAssistViewsEntity extends SiteMatterAssistViewsVo {
    private static final long serialVersionUID = 1L;

    /**
    * 辅助接件事项ID
    */
    private Long assistId;
    /**
    * 事项ID
    */
    private Long matterId;
    /**
    * 浏览用户id
    */
    private Long viewUserId;
    /**
    * 浏览用户名称
    */
    private String viewUserName;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SiteMatterAssistViewsEntity) {
            SiteMatterAssistViewsEntity tmp = (SiteMatterAssistViewsEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.assistId = 0L;
            this.matterId = null;
            this.viewUserId = null;
            this.viewUserName = "";
    }
}