package com.mortals.xhx.busiz.req;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * 业务类
 *
 * @author:
 * @date: 2022/9/7 14:35
 */
@Data
public class BussinessThirdPartyReq {

    private Long id;

    /**
     * 业务名称
     */
    private String name;
    /**
     * 备注
     */
    private String remark;
    /**
     * 是否允许预约（1.允许，0.不允许）
     */
    private Integer canorder;
    /**
     * 是否允许取号（1.允许，0.不允许）
     */
    private Integer cantake;
    /**
     * 大厅情况展示 （1.展示，0.不展示）
     */
    private Integer datashow;
    /**
     * 英语业务名
     */
    private String englishname;

    /**
     * 业务状态 (0.停用，1.正常)
     */
    private Integer status;



}
