package com.mortals.xhx.module.apply.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.apply.model.vo.MatterApplyDatumVo;
import lombok.Data;
/**
* 事项申报材料实体对象
*
* @author zxfei
* @date 2023-05-23
*/
@Data
public class MatterApplyDatumEntity extends MatterApplyDatumVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点id
    */
    private Long siteId;
    /**
    * 用户申报id
    */
    private Long applyId;
    /**
    * 单事项id
    */
    private Long singleMatterId;
    /**
    * 基础事项id
    */
    private Long matterId;
    /**
    * 材料id
    */
    private Long datumId;
    /**
    * 材料名称
    */
    private String materialName;
    /**
    * 附件文件名称
    */
    private String fileName;
    /**
    * 附件文件地址
    */
    private String fileUrl;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterApplyDatumEntity) {
            MatterApplyDatumEntity tmp = (MatterApplyDatumEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.siteId = null;

            this.applyId = null;

            this.singleMatterId = null;

            this.matterId = null;

            this.datumId = null;

            this.materialName = "";

            this.fileName = "";

            this.fileUrl = "";
    }
}