package com.mortals.xhx.module.single.dao.ibatis;


import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.single.dao.SingleMatterDao;
import com.mortals.xhx.module.single.model.SingleMatterEntity;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
/**
* 单事项DaoImpl DAO接口
*
* @author zxfei
* @date 2023-03-21
*/
@Repository("singleMatterDao")
public class SingleMatterDaoImpl extends BaseCRUDDaoMybatis<SingleMatterEntity,Long> implements SingleMatterDao {


    @Override
    public List<SingleMatterEntity> getSingleMatterDeptList() {
        return this.getSqlSession().selectList("getSingleMatterDeptList");
    }
}
